@echo off
chrset
set NETHACKOPTIONS=name:Cinhil-P
if not exist cinhil.sav goto restore
goto run
:restore
Echo Checking for Saved Characters...
if not exist sav\cinhil.sav goto run
Echo Restoring Character File...
copy sav\cinhil.sav > nul
:run
nethack %1 %2 %3 %4 %5 %6 %7 %8 %9
pause
mode co80
if exist cinhil.sav goto backup
goto end
:backup
Echo Backing Up Character File
copy cinhil.sav sav > nul
:end
set NETHACKOPTIONS=
